/***************************************************************************
 *   Copyright (C) 2003 by Stefano Rivoir                                  *
 *   s.rivoir@gts.it                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "kamixuapp.h"
#include "kamix.h"

#include <kcmdlineargs.h>
#include <klocale.h>
#include <kpassivepopup.h>
#include <qpixmap.h>
#include <kglobal.h>
#include <kiconloader.h>

#include "kamixconfig.h"

int KamixUApp::newInstance()
{
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    
    kamix *mainWin = 0;

    if ( !mainWidget() )
        mainWin = new kamix();
    
    setMainWidget( mainWin );

    if ( KamixConfig::self()->restoreToSystray || KamixConfig::self()->alwaysSystray ) {
        mainWin->hide();
	
	if ( !KamixConfig::self()->alwaysSystray )
	    KPassivePopup::message ( "kamix", i18n("kamix has been\nrestored to system tray!"), 
	        KGlobal::iconLoader()->loadIcon("kamix.png",KIcon::NoGroup, 32), mainWin->tray );
    } else
            mainWin->show();

    args->clear();
    return 0;
}


#include "kamixuapp.moc"
